// DIVADemo.cpp : Defines the entry point for the console application.
//

#include "stdafx.h"
#include "DIVADemo.h"

// DIVA includes
#include "DMatrix.h"

#ifdef _DEBUG
#define new DEBUG_NEW
#undef THIS_FILE
static char THIS_FILE[] = __FILE__;
#endif

using namespace std;



/**

  @author   Mikkel B. Stegmann
  @version  2-2-2001

  @memo     A small demonstration of the DIVA project.

  @doc      A small demonstration of the DIVA project.
   
  @param    argc    The number of command line arguments.

  @param    argv    An array of char pointers.
  
  @return   Nothing.
  
*/
void DIVAMain(int argc, char **argv) {

    CDVector v(3);

    v.Rand();

    printf( "v=\n%s", v.ToString() );    

    printf( "Sorting v in ascending order...\n" );
    v.Sort();
    printf( v.ToString() );

    printf( "Sorting v in descending order...\n" );    
    v.Sort( false );
    printf( v.ToString() );


    CDMatrix m(2,3);

    m.Rand();
  
    printf( "m=\n%s", m.ToString() );

    m.FlipLR();

    printf( "m=\n%s", m.ToString() );

    m.FlipUD();

    printf( "m=\n%s", m.ToString() );
}




/////////////////////////////////////////////////////////////////////////////
// The one and only application object

CWinApp theApp;

using namespace std;

int _tmain(int argc, TCHAR* argv[], TCHAR* envp[])
{
	int nRetCode = 0;

	// initialize MFC and print and error on failure
	if (!AfxWinInit(::GetModuleHandle(NULL), NULL, ::GetCommandLine(), 0))
	{
		// TODO: change error code to suit your needs
		cerr << _T("Fatal Error: MFC initialization failed") << endl;
		nRetCode = 1;
	}
	else
	{
		DIVAMain(argc, argv);		
	}

	return nRetCode;
}